<?php

namespace App\Generated\V1_1\DTOs;

use Kamicloud\StubApi\Concerns\ValueHelper;
use Kamicloud\StubApi\DTOs\DTO;
use Kamicloud\StubApi\Utils\Constants;

class BlackDTO extends DTO
{
    use ValueHelper;

    protected $msy;
    protected $fpdx;
    protected $black;
    protected $chat;
    protected $night;
    protected $home;
    protected $account;

    /**
     * @return string|null
     */
    public function getMsy()
    {
        return $this->msy;
    }

    /**
     * @return string|null
     */
    public function getFpdx()
    {
        return $this->fpdx;
    }

    /**
     * @return string|null
     */
    public function getBlack()
    {
        return $this->black;
    }

    /**
     * @return string|null
     */
    public function getChat()
    {
        return $this->chat;
    }

    /**
     * @return string|null
     */
    public function getNight()
    {
        return $this->night;
    }

    /**
     * @return string|null
     */
    public function getHome()
    {
        return $this->home;
    }

    /**
     * @return string|null
     */
    public function getAccount()
    {
        return $this->account;
    }

    public function setMsy($msy)
    {
        $this->msy = $msy;
    }

    public function setFpdx($fpdx)
    {
        $this->fpdx = $fpdx;
    }

    public function setBlack($black)
    {
        $this->black = $black;
    }

    public function setChat($chat)
    {
        $this->chat = $chat;
    }

    public function setNight($night)
    {
        $this->night = $night;
    }

    public function setHome($home)
    {
        $this->home = $home;
    }

    public function setAccount($account)
    {
        $this->account = $account;
    }

    public function getAttributeMap()
    {
        return [
            ['msy', 'msy', 'bail|nullable|string', Constants::STRING | Constants::OPTIONAL, null],
            ['fpdx', 'fpdx', 'bail|nullable|string', Constants::STRING | Constants::OPTIONAL, null],
            ['black', 'black', 'bail|nullable|string', Constants::STRING | Constants::OPTIONAL, null],
            ['chat', 'chat', 'bail|nullable|string', Constants::STRING | Constants::OPTIONAL, null],
            ['night', 'night', 'bail|nullable|string', Constants::STRING | Constants::OPTIONAL, null],
            ['home', 'home', 'bail|nullable|string', Constants::STRING | Constants::OPTIONAL, null],
            ['account', 'account', 'bail|nullable|string', Constants::STRING | Constants::OPTIONAL, null],
        ];
    }

}
